<?php
/**
 * Mechanical Turk Exclude: v1.1 (2013-08-02)
 * Author: Jeff Hughes (j4hughes@uwaterloo.ca)
 */

$strict = false; // if true, script will return match=error if 'id' is not set
                 // if false, script will return match=false if 'id' is not set

if (isset($_GET['file'])) {
    $inputFiles = $_GET['file'];
} elseif (isset($_POST['file'])) {
    $inputFiles = $_POST['file'];
}
if (isset($_GET['id'])) {
    $id = $_GET['id'];
} elseif (isset($_POST['id'])) {
    $id = $_POST['id'];
}

if (!empty($inputFiles)) {
    if (!empty($id)) {
        $files = explode(',', $inputFiles);
        $haystack = array();
        $error = 0;
        foreach ($files as $file) {
            if(file_exists($file)) {
                if ($lines = file($file)) {
                    $data = array();
                    $linesCount = count($lines);
                    for ($i = 0; $i < $linesCount; $i++) {
                        $splitLine = preg_split('/[\s,]+/', trim($lines[$i]));
                        $data[$i] = $splitLine[0]; // grab just the first piece of data on each line
                    }
                    $haystack = array_merge($haystack, $data);
                } else {
                    print 'match=error';
                    $error = 1;
                    break;
                }
            } else {
                print 'match=error';
                $error = 1;
                break;
            }
        }
        
        if ($error == 0) {
            if (in_array($id, $haystack)) {
                print 'match=true';
            } else {
                print 'match=false';
            }
        }
    } else {
        if ($strict == true || $strict == 'true') {
            print 'match=error';
        } else {
            print 'match=false';
        }
    }
} else {
    print 'match=error';
}
?>